Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 24 Apr 2024 16:12:02 +1000

Hi Greg,

On Fri, 12 Apr 2024 09:58:52 +0200 Greg KH <[email-masked]> wrote:
>
> On Fri, Apr 12, 2024 at 02:25:47PM +1000, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the usb tree got a conflict in:
> > 
> >   drivers/usb/misc/onboard_usb_hub.c
> > 
> > between commit:
> > 
> >   34b990e9bb54 ("usb: misc: onboard_usb_hub: Disable the USB hub clock on failure")
> > 
> > from the usb.current tree and commit:
> > 
> >   31e7f6c015d9 ("usb: misc: onboard_hub: rename to onboard_dev")
> > 
> > from the usb tree.
> > 
> > I fixed it up (I deleted this file and applied the following patch) and
> > can carry the fix as necessary. This is now fixed as far as linux-next
> > is concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.  
> 
> Thanks, I knew this would happen, I'll apply your fixup when merging the
> two branches together.

It looks like the fix up patch did not get applied (repeated below).

-- 
Cheers,
Stephen Rothwell

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Apr 2024 14:20:48 +1000
Subject: [PATCH] fix up for "usb: misc: onboard_hub: rename to onboard_dev"

interacting with "usb: misc: onboard_usb_hub: Disable the USB hub clock
on failure"

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/usb/misc/onboard_usb_dev.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/drivers/usb/misc/onboard_usb_dev.c b/drivers/usb/misc/onboard_usb_dev.c
index 648ea933bdad..f2bcc1a8b95f 100644
--- a/drivers/usb/misc/onboard_usb_dev.c
+++ b/drivers/usb/misc/onboard_usb_dev.c
@@ -93,7 +93,7 @@ static int onboard_dev_power_on(struct onboard_dev *onboard_dev)
 	if (err) {
 		dev_err(onboard_dev->dev, "failed to enable supplies: %pe\n",
 			ERR_PTR(err));
-		return err;
+		goto disable_clk;
 	}
 
 	fsleep(onboard_dev->pdata->reset_us);
@@ -102,6 +102,10 @@ static int onboard_dev_power_on(struct onboard_dev *onboard_dev)
 	onboard_dev->is_powered_on = true;
 
 	return 0;
+
+disable_clk:
+	clk_disable_unprepare(onboard_dev->clk);
+	return err;
 }
 
 static int onboard_dev_power_off(struct onboard_dev *onboard_dev)
-- 
2.43.0